//This shader by Shaded!

textures/erazordm1/teleport1
{
surfaceparm nodamage
q3map_lightimage textures/erazordm1/jumppadsmall.tga	
q3map_surfacelight 400
{
map textures/erazordm1/teleport1.tga
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendfunc gl_dst_color gl_zero
}
{
clampmap textures/erazordm1/jumppadsmall.tga
blendfunc gl_one gl_one
tcMod stretch sin 1.2 .8 0 1.5
rgbGen wave square .5 .5 .25 1.5
}
}
textures/erazordm1/hfloor3
{
{
rgbGen identity
map $lightmap
}
{
map textures/erazordm1/hfloor3.tga
blendFunc GL_DST_COLOR GL_SRC_ALPHA
rgbGen identity
alphaGen lightingSpecular
}
{
map textures/erazordm1/tinfx.tga
tcgen environment
blendFunc GL_ONE GL_ONE
rgbGen identity
}
{
map textures/erazordm1/hfloor3.tga
blendFunc GL_DST_COLOR GL_ZERO
rgbGen identity
}
}
textures/erazordm1/rusty_pentagrate
{
surfaceparm	metalsteps	
surfaceparm trans		
surfaceparm alphashadow
cull none
nopicmip
{
map textures/erazordm1/rusty_pentagrate.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}
textures/erazordm1/nodraw
{
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
}
textures/erazordm1/portal
{
qer_editorimage textures/erazordm1/qer_portal.tga
surfaceparm nolightmap
portal
{
map textures/erazordm1/mirror1.tga
tcMod turb 0 0.25 0 0.05
blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
depthWrite
}
}
textures/erazordm1/trigger
{
qer_trans 0.50
qer_nocarve
surfaceparm nodraw
}
textures/erazordm1/timbutton
{
q3map_lightimage textures/erazordm1/timbutton2.tga
q3map_surfacelight 10
{
map textures/erazordm1/timbutton.tga
}
{
map $lightmap
blendfunc gl_dst_color gl_zero
rgbgen identity
}
{
map textures/erazordm1/timbutton2.tga
blendfunc gl_one gl_one
rgbgen wave sin .5 .5 0 1
}
}
textures/erazordm1/flicker_light15k
{
qer_editorimage textures/erazordm1/gothic_light3.tga
q3map_lightimage textures/erazordm1/gothic_light2_blend.tga
q3map_surfacelight 15000
light 1
surfaceparm nomarks
{
map $lightmap
rgbGen wave noise 0.75 0.25 0 10
}
{
map textures/erazordm1/gothic_light3.tga
blendFunc GL_DST_COLOR GL_ZERO
rgbGen identity
}
{
map textures/erazordm1/gothic_light2_blend.tga
blendfunc GL_ONE GL_ONE
rgbGen wave noise 0.75 0.25 0 10
}
}
textures/erazordm1/goth_lt2_lrg2k
{
qer_editorimage textures/erazordm1/gothic_light2_lrg.tga
q3map_surfacelight 4000
light 1
surfaceparm nomarks
{
map $lightmap
rgbGen identity
}
{
map textures/erazordm1/gothic_light2_lrg.tga
blendFunc GL_DST_COLOR GL_ZERO
rgbGen identity
}
{
map textures/erazordm1/gothic_light2_blend.tga
blendfunc GL_ONE GL_ONE
}
}
textures/erazordm1/lavahell_2000
{
qer_editorimage textures/erazordm1/lavahell_qer.tga
q3map_globaltexture
surfaceparm trans
surfaceparm noimpact
surfaceparm lava
surfaceparm nolightmap
q3map_surfacelight 2000
cull disable
tesssize 128
cull disable
deformVertexes wave 100 sin 3 2 .1 0.1
{
map textures/erazordm1/lavahell.tga
tcMod turb 0 .2 0 .1
}
}
textures/erazordm1/bounce_largeblock3b
{
surfaceparm nodamage
q3map_lightimage textures/erazordm1/jumppadsmall.tga	
q3map_surfacelight 400
{
map textures/erazordm1/bounce_largeblock3b.tga
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendfunc gl_dst_color gl_zero
}
{
map textures/erazordm1/bouncepad01b_layer1.tga
blendfunc gl_one gl_one
rgbGen wave sin .5 .5 0 1.5	
}
{
clampmap textures/erazordm1/jumppadsmall.tga
blendfunc gl_one gl_one
tcMod stretch sin 1.2 .8 0 1.5
rgbGen wave square .5 .5 .25 1.5
}
}
textures/erazordm1/Skies
{
qer_editorimage textures/erazordm1/erazornight.tga
surfaceparm nolightmap
surfaceparm sky
surfaceparm noimpact
}
textures/erazordm1/redflare
{
deformVertexes autoSprite
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
cull none
{
clampmap textures/powtex/redflare.tga
blendFunc GL_ONE GL_ONE
}
}

textures/sfx/portal_sfx
{

	//	*************************************************
	//	*      	Portal Inside Effect 			*
	//	*      	April 29				*	
	//	*	Please Comment Changes			*
	//	*************************************************

	portal
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 2 0 .5


	{
		map textures/sfx/portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	This blend function is not working on RagePro drivers Mac only
	//	when it is used on top of portals
		depthWrite
	}


	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcMod rotate 360
	}

	{
		map textures/sfx/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting	
		tcmod turb sin 0 .5 0 1
		tcmod rotate .1 .1
		tcmod scroll .01 .03
	}
}
